function [locationParticles, biasParticles, estState] = Estimator(estState,sense,t,physConst)
% [locationParticles, biasParticles, estState] = Estimator(estState,sense,t,physConst)
% 
% The estimator.
% The function will be called in two different modes:
% If t==0, the estimator is initialized; otherwise the estimator does an 
% iteration step (compute estimates for the time step t).
%
% Inputs:
%   estState            previous estimator state (time step t-1)
%                       May be defined by the user (for example as a struct).
%   sense               sensor measurements, [1x2]-vector, INF if no
%                       measurement
%                       sense(1): distance sensor measurement
%                       sense(2): half-plane sensor measurement
%   t                   time, scalar
%                       If t==0 initialization, otherwise estimator
%                       iteration step.
%   physConst           physical constants (from PhysicalConstants.m)
%
% Outputs:
%   locationParticles   particles representing the location estimate 
%                       (time step t), [1 x physConst.NumParticles]-vector
%   biasParticles       particles representing the bias estimate 
%                       (time step t), [1 x physConst.NumParticles]-vector
%   estState            current estimator state (time step t)
%                       Will be input to this function at the next call.
%
%
%
% Class:
% Introduction to Recursive Filtering and Estimation
% Spring 2010
% Programming Exercise 2
%
% --
% ETH Zurich
% Institute for Dynamic Systems and Control
% Raffaello D'Andrea, Angela Schoellig
% aschoellig@ethz.ch
%
% --
% Revision history
% [25.05.10, AS]    first version, template



%% Mode 1: Initialization
if (t == 0)
    % Do the initialization of your estimator here!
    % Replace the following:
    estState.foo = 0;
    locationParticles = zeros(1, physConst.NumParticles);
    biasParticles = zeros(1, physConst.NumParticles);
    

    return;
end


%% Mode 2: Estimator iteration.
% If we get this far t is not equal to zero, and we are no longer
% initializing.  Run the estimator.

% Implement your estimator here!
% Replace the following:
estState.foo = 0;
locationParticles = zeros(1, physConst.NumParticles);
biasParticles = zeros(1, physConst.NumParticles);


    
    