function physConst = PhysicalConstants()
% physConst = PhysicalConstants()
% 
% Define the physical constants.  These are available to the estimator.
%
% 
% Class:
% Introduction to Recursive Filtering and Estimation
% Spring 2010
% Programming Exercise 2
%
% --
% ETH Zurich
% Institute for Dynamic Systems and Control
% Raffaello D'Andrea, Angela Schoellig
% aschoellig@ethz.ch
%
% --
% Revision history
% [25.05.10, AS]    first version
%


%% Location of distance sensor  
% Location L of distance sensor, as a multiple of the circle radius.  Can be
% less than 1 (inside circle), but must be positive (WLOG).
physConst.SensorLoc = 2.0;


%% Sensor noise
% The sensor error e is modeled as additive, uniformly distributed 
% around the actual distance.  The units are in circle radii.   
physConst.SensorErr = 0.25;


%% Maximum step size
% Maximum step size \bar{s} of moving object in rad.
physConst.StepSize = 0.10;


%% Number of particles in the filter.
physConst.NumParticles = 100;
