function simConst = SimulationConstants()
% simConst = SimulationConstants()
% 
% Define the constants used in the simulation.  These are not accessible to
% the estimator.
%
% 
% Class:
% Introduction to Recursive Filtering and Estimation
% Spring 2010
% Programming Exercise 2
%
% --
% ETH Zurich
% Institute for Dynamic Systems and Control
% Raffaello D'Andrea, Angela Schoellig
% aschoellig@ethz.ch
%
% --
% Revision history
% [25.05.10, AS]    first version
%


%% Bias
% The bias p of going CCW, as a fraction of \bar{s}, in the range of [-1,1] 
simConst.relativeBias = Uniform(1);
% Uncomment to get this special case
%simConst.relativeBias = 0.5;

%% Times

% The duration of the simulation, number of simulation steps
simConst.simulationTime = 400;

% The minimum number of time samples before we get a measurement from the
% distance sensor.
simConst.sampleDistanceMin = 10;

% The maximum number of time samples before we get a measurement from the
% distance sensor.
simConst.sampleDistanceMax = 10;

% The minimum number of time samples before we get a measurement from the
% half-plane sensor.
simConst.sampleHalfPlaneMin = 100;

% The maximum number of time samples before we get a measurement from the
% half-plane sensor.
simConst.sampleHalfPlaneMax = 100;



%% Initial values

% The initial object position, in rad
simConst.initialObjectPos = pi/2;


